# IntlChar::tolower

(PHP 7)

IntlChar::tolower — Make Unicode character lowercase

### Description

public static IntlChar::tolower ( mixed `$codepoint` ) : mixed

The given character is mapped to its lowercase equivalent. If the character has no lowercase equivalent, the original character itself is returned.

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns the Simple_Lowercase_Mapping of the code point, if any; otherwise the code point itself.

The return type will be integer unless the code point was passed as a UTF-8 string, in which case a string will be returned.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::tolower("A"));
var_dump(IntlChar::tolower("a"));
var_dump(IntlChar::tolower("Φ"));
var_dump(IntlChar::tolower("φ"));
var_dump(IntlChar::tolower("1"));
var_dump(IntlChar::tolower(ord("A")));
var_dump(IntlChar::tolower(ord("a")));
?>`

The above example will output:

    string(1) "a"
    string(1) "a"
    string(2) "φ"
    string(2) "φ"
    string(1) "1"
    int(97)
    int(97)

### See Also

- IntlChar::totitle() - Make Unicode character titlecase
- IntlChar::toupper() - Make Unicode character uppercase
- mb_strtolower() - Make a string lowercase